com.microfocus.awm.core

## Class TaurusExceptionProcessor

- java.lang.Object
- - com.microfocus.awm.core.TaurusExceptionProcessor

-     public class TaurusExceptionProcessor
      extends java.lang.Object

  Helper class which is able to log exceptions and show an error dialog based on the registered `IExceptionhandler`. A default exception handler is registered by the AWM UI plug-in.
  Author:
    Micro Focus

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaurusExceptionProcessor()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IExceptionhandler` | `getHandler()`
    `static ExceptionAction` | `processException(java.lang.Throwable pException, java.lang.String pMessage)` Calls the registered `IExceptionhandler` to handle the exception.
    `static ExceptionAction` | `processException(java.lang.Throwable pException, java.lang.String pMessage, ExceptionAction[] pActions)` Calls the registered `IExceptionhandler` to handle the exception.
    `static void` | `setHandler(IExceptionhandler pHandler)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaurusExceptionProcessor

          public TaurusExceptionProcessor()

  - ### Method Detail

    - #### processException

          public static ExceptionAction processException(java.lang.Throwable pException,
                                                         java.lang.String pMessage,
                                                         ExceptionAction[] pActions)

      Calls the registered `IExceptionhandler` to handle the exception. This is usually logging it and showing it in an error dialog.
      Parameters:
        `pException` - the exception
        `pMessage` - the message to be logged shown in the error dialog
        `pActions` - the possible user actions (can be `null`, default is `ExceptionAction.CANCEL`)
      Returns:
        the selected user action
      See Also:
        `processException(Throwable, String)`

    - #### processException

          public static ExceptionAction processException(java.lang.Throwable pException,
                                                         java.lang.String pMessage)

      Calls the registered `IExceptionhandler` to handle the exception. This is usually logging it and showing it in an error dialog.
      Parameters:
        `pException` - the exception
        `pMessage` - the message to be logged shown in the error dialog
      Returns:
        the selected user action (always `ExceptionAction.CANCEL`)
      See Also:
        `processException(Throwable, String, ExceptionAction[])`

    - #### getHandler

          public static IExceptionhandler getHandler()

      Returns:
        the handler

    - #### setHandler

          public static void setHandler(IExceptionhandler pHandler)

      Parameters:
        `pHandler` - the handler to set

Copyright © 2015 Micro Focus GmbH. All rights reserved.